AnsweredAssumed Answered

I can't install catalyst pro on Opensuse Leap 42.1

Question asked by vincentmm on Dec 18, 2015
Latest reply on Dec 18, 2015 by fsadough

Hi!

I'm trying to compile the driver

fglrx-15.201.2401 for my firepro V3900 and Leap 42.1 (opensuse)

 

I installed kernel sources and everything (kernel headers, dkms, make etc).

 

But I get an error message:

fglrx installation requires that the system have kernel headers. /lib/modules/4.1.12-1-default/build/include/linux/version.h cannot be found on this system.

 

And in fact, linux/version.h is missing!

 

I tried to make a link

from /lib/modules/4.1.12-1-default/build/include/generated/uapi/

to

/lib/modules/4.1.12-1-default/build/include/linux/

 

so that the installer started to compile.

But it finally failed

 

The install log is below.

 

Could you help me?

 

Thanks,

 

vincent

 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Supported adapter detected.

Check if system has the tools required for installation.

Uninstalling any previously installed drivers.

 

 

Creating symlink /var/lib/dkms/fglrx/15.201.2401/source ->

/usr/src/fglrx-15.201.2401

 

 

DKMS: add completed.

 

 

Kernel preparation unnecessary for this kernel. Skipping...

 

 

Building module:

cleaning build area....

cd /var/lib/dkms/fglrx/15.201.2401/build; sh make.sh --nohints --uname_r=4.1.12-1-default --norootcheck....(bad exit status: 1)

[Error] Kernel Module : Failed to build fglrx-15.201.2401 with DKMS

[Error] Kernel Module : Removing fglrx-15.201.2401 from DKMS

 

 

------------------------------

Deleting module version: 15.201.2401

completely from the DKMS tree.

------------------------------

Done.

[Reboot] Kernel Module : dracut

Outcomes